---
title: HTMLHyperlinkElementUtils.search
slug: Web/API/HTMLHyperlinkElementUtils/search
tags:
  - API
  - Experimental
  - HTMLHyperlinkElementUtils
  - Property
  - Reference
  - URL API
---
<div>{{ApiRef("URL API")}}</div>

<p>The <strong><code>HTMLHyperlinkElementUtils.search</code></strong> property is a search string, also called a <em>query string</em>, that is {{domxref("USVString")}} containing a <code>'?'</code> followed by the parameters of the URL.</p>

<p>Modern browsers provide <code><a href="/en-US/docs/Web/API/URLSearchParams/get#Examples">URLSearchParams</a></code> and <code><a href="/en-US/docs/Web/API/URL/searchParams#Examples">URL.searchParams</a></code> to make it easy to parse out the parameters from the querystring.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>string</em> = <em>object</em>.search;
<em>object</em>.search = <em>string</em>;
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">// Let an &lt;a id="myAnchor" href="/en-US/docs/HTMLHyperlinkElementUtils.search?q=123"&gt; element be in the document
var anchor = document.getElementById("myAnchor");
var queryString = anchor.search; // Returns:'?q=123'

// Further parsing:
let params = new URLSearchParams(queryString);
let q = parseInt(params.get("q")<span class="kwd">); // is the number 123</span>
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-hyperlink-search', 'HTMLHyperlinkElementUtils.search')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLHyperlinkElementUtils.search")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("HTMLHyperlinkElementUtils")}} mixin it belongs to.</li>
</ul>
